4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.RawFileClient

Classes: RawFileClient

## Classes

class RawFileClient(Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient)
Everything in the 4SS repo is a RawFile. This file is gonna get big...

### Methods

asSchematron(self)
Return this object as a non-live compiled schematron document
asStylesheet(self)
Return this object as a non-live compiled stylesheet
getContentResource(self)
Get the resource the represents the content of this object
getMetaDataResource(self)
Get the string meta data of this resource
setImt(self, imt)
Sets the Internet Media Type of the raw file resource

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate